Package com.ngrok.definitions

# Class AwsAuth.Builder

java.lang.Object
com.ngrok.definitions.AwsAuth.Builder

Enclosing class:
  AwsAuth

public static class AwsAuth.Builder extends Object
Builder class for `AwsAuth`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AwsAuth`
  `build()`
  Constructs the `AwsAuth` instance.
  `AwsAuth.Builder`
  `creds(AwsCredentials creds)`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
  `AwsAuth.Builder`
  `creds(Optional<AwsCredentials> creds)`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
  `AwsAuth.Builder`
  `role(AwsRole role)`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.
  `AwsAuth.Builder`
  `role(Optional<AwsRole> role)`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### role

    public AwsAuth.Builder role(AwsRole role)
    A role for ngrok to assume on your behalf to deposit events into your AWS account.
    Parameters:
      `role` - the value of the `role` parameter as a `AwsRole`
    Returns:
      this builder instance

  - ### role

    public AwsAuth.Builder role(Optional<AwsRole> role)
    A role for ngrok to assume on your behalf to deposit events into your AWS account.
    Parameters:
      `role` - the value of the `role` parameter as a `AwsRole`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### creds

    public AwsAuth.Builder creds(AwsCredentials creds)
    Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
    Parameters:
      `creds` - the value of the `creds` parameter as a `AwsCredentials`
    Returns:
      this builder instance

  - ### creds

    public AwsAuth.Builder creds(Optional<AwsCredentials> creds)
    Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
    Parameters:
      `creds` - the value of the `creds` parameter as a `AwsCredentials`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public AwsAuth build()
    Constructs the `AwsAuth` instance.
    Returns:
      a new `AwsAuth`